# JFrog Insights Chart Changelog
All changes to this chart will be documented in this file.

## [101.17.5] - Oct 09, 2024
* **Breaking change**
* **IMPORTANT**
* Added min kubeVersion ">= 1.19.0-0" in chart.yaml
* Updated README.md to create a namespace using `--create-namespace` as part of helm install
* Added `unifiedSecretInstallation` flag which enables single unified secret holding all internal (chart) secrets to `true` by default
* Refactored systemYaml configuration (moved to files/system.yaml instead of key in values.yaml)
* Added ability to provide `extraSystemYaml` configuration in values.yaml which will merge with the existing system yaml when `systemYamlOverride` is not given.
* Added IPV4/IPV6 Dualstack flag support for Insight chart
* **IMPORTANT**
* Update postgresql tag version to `15.2.0-debian-11-r23`
* If this is a new deployment or you already use an external database (`postgresql.enabled=false`), these changes **do not affect you**!
* If this is an upgrade and you are using the default bundles PostgreSQL (`postgresql.enabled=true`), you need to pass previous 9.x/10.x/12.x/13.x's postgresql.image.tag, previous postgresql.persistence.size and databaseUpgradeReady=true
* Added image section for `initContainers` instead of `initContainerImage`
* Renamed `router.image.imagePullPolicy` to `router.image.pullPolicy`
* Added `insightScheduler.image.pullPolicy` and  `insightScheduler.image.pullPolicy`
* Removed image section for `loggers`
* Removed obsolete `elasticsearch.initContainerImage`
* Removed obsolete `dbSetup.postgresql` section
* Added support for `global.verisons.initContainers` to override `initContainers.image.tag`
* Fixed an issue with extraSystemYaml merge
* Update postgresql tag version to `15.6.0-debian-11-r16`
* Fixed an issue to generate unified secret to support insight fullname [GH-1882](https://github.com/jfrog/charts/issues/1882)
* Fixed an issue template render on loggers [GH-1883](https://github.com/jfrog/charts/issues/1883)
* Renamed `.Values.insightServer.openMetrics` to `.Values.insightServer.metrics`
* Fix the indentation of the commented-out sections in the values.yaml file
* Added `.Values.insightServer.unifiedSecretPrependReleaseName` for unified secret name as fullname release name
* Fixed #adding colon in image registry which breaks deployment [GH-1892](https://github.com/jfrog/charts/pull/1892)
* Update elasticsearch version to `8.15.1`

## [101.16.0] - Nov 07, 2023
* Fixed - StatefulSet pod annotations changed from range to toYaml [GH-1828](https://github.com/jfrog/charts/issues/1828)
* Update elasticsearch version to `8.9.0`
* Updated initContainerImage of elasticsearch to releases-docker.jfrog.io/jfrog/elasticsearch:8.9.0

## [101.15.0] - Sep 18, 2023
* Updated postgresql multi-arch tag version to `13.10.0-debian-11-r14`

## [101.14.0] - Mar 02, 2023
* Added topologySpreadConstraints to insight pods
* Updated postgresql tag version to `13.9.0-debian-11-r11`
* Updated jfrogUrl text path to copy
* Updated initContainerImage and logger image to `ubi9/ubi-minimal:9.1.0.1793`

## [101.13.0] - Oct 27, 2022
* Removed `newProbes.enabled`, default to new probes
* Updated initContainerImage to `ubi8/ubi-minimal:8.6-941`
* Added support for annotations for insight statefulset [GH-1665](https://github.com/jfrog/charts/pull/1665)
* Update elasticsearch version to `7.17.6` and updated initContainerImage of elasticsearch to releases-docker.jfrog.io/jfrog/elasticsearch-sg:7.17.6
* Updated router version to `7.51.0`

## [101.12.0] - Aug 25, 2022
* Use an alternate command for `find` to copy custom certificates
* Updated router version to `7.45.0`
* Added `.Values.insightServer.openMetrics.enabled` flag to enable metrics (defaults to `false`)
* Added flag `insightServer.schedulerName` to set for the pods the value of schedulerName field [GH-1606](https://github.com/jfrog/charts/issues/1606)
* Added support for lifecycle hooks for all containers
* Updated initContainerImage and logger Image to `ubi8/ubi-minimal:8.6-902`

## [101.11.0] - Aug 25, 2022
* Added new flag `unifiedSecretInstallation` to enables single unified secret holding all the insight secrets
* Updated router version to `7.38.0`
* Fixed duplicate entry of `initialDelaySeconds` [GH-1622](https://github.com/jfrog/charts/issues/1622)
* Update elasticsearch version to `7.17.1`
* Added support to truncate (> 63 chars) for unifiedCustomSecretVolumeName

## [101.9.0] - Apr 14, 2022
* Updated router version to `7.36.1`
* Added support for custom global probes timeout
* Reduce startupProbe `initialDelaySeconds`
* Align all liveness and readiness probes failureThreshold to `5` seconds

## [101.8.0] - Mar 11, 2022
* Updated router version to `7.35.0`
* Changed dependency charts repo to `charts.jfrog.io`
* Added support for `global.nodeSelector` applies to insight pods

## [101.7.0] - Feb 15, 2022
* Updated router version to `7.32.1`
* Update elasticsearch version to `7.16.3`
* Fixed loggers sidecars to tail a configured log
* Added silent option for curl probes

## [101.6.0] - Jan 20, 2022
* Option to skip wait-for-db init container with '--set waitForDatabase=false'
* Added support for PriorityClass

## [101.5.0] - Jan 11, 2022
* Add more user friendly support for pod affinity and anti-affinity
* Pod anti-affinity is now enabled by default (soft rule)
* Added support for setting `fsGroupChangePolicy`
* Updated router version to `7.30.0`

## [101.4.0] - Dec 23, 2021
* Refactored `database-creds` secret to create only when database values are passed
* Refactored probes to replace httpGet probes with basic exec + curl
* Added new endpoints for probes `/api/v1/system/liveness` and `/api/v1/system/readiness`
* Enabled `newProbes:true` by default to use these endpoints
* Update elasticsearch version to `7.16.2`
* Fix filebeat sidecar spool file permissions
* Updated filebeat sidecar container to `7.16.2`

## [101.3.1] - Dec 20, 2021
* Change psql client check condition

## [101.3.0] - Dec 17, 2021
* Removed obsolete secret `applicationyaml`
* Update postgresql tag version to `13.4.0-debian-10-r39`
* Refactored `router.requiredServiceTypes` to support platform chart

## [101.2.3] - Nov 26, 2021
* Fixed incorrect permission for filebeat.yaml
* Updated logger image to `jfrog/ubi-minimal:8.5-204`

## [101.2.0] - Nov 26, 2021
* Enabled persistence for elasticsearch logs and change location to `insight/var/log`
* Update elasticsearch version to `7.15.1`
* Fixed chart values to use curl instead of wget [GH-1529](https://github.com/jfrog/charts/issues/1529)
* Moved router.topology.local.requireqservicetypes from system.yaml to router as environment variable
* Updated initContainerImage to `jfrog/ubi-minimal:8.5-204`
* Updated router version to `7.28.2`
* ** IMPORTANT **
* Added support for insightServer and insightScheduler `extraEnvironmentVariables` in values.yaml

## [101.1.0] - Oct 11, 2021
* Added default values cpu and memeory in initContainers
* Updated router version to `7.26.0`
* Updated (`rbac.create` and `serviceAccount.create` to false by default) for least privileges
* Fixed duplicate resource spec in insight-statefulset [GH-1507](https://github.com/jfrog/charts/issues/1507)
* Fixed incorrect data type for `Values.router.serviceRegistry.insecure` in default values.yaml [GH-1514](https://github.com/jfrog/charts/pull/1514/files)
* **IMPORTANT**
* Changed init-container images from `alpine` to `ubi8/ubi-minimal`

## [101.0.0] - Sep 20, 2021
* Bumping chart version to align with app version
* Added security hardening fixes
* Update elasticsearch version to `7.14.1`
* Updated router version to `7.25.1`
* Added min kubeVersion ">= 1.14.0-0" in chart.yaml
* Update alpine tag version to `3.14.2`
* Update busybox tag version to `1.33.1`