# JFrog Insight Helm Chart

**Heads up: Our Helm Chart docs are moving to our main documentation site. For Insight installers, see [Installing Insight](https://www.jfrog.com/confluence/display/JFROG/Installing+Insight).**

## Prerequisites Details

* Kubernetes 1.19+

## Chart Details
This chart will do the following:

* Deploy PostgreSQL database **NOTE:** For production grade installations it is recommended to use an external PostgreSQL.
* Deploy Elasticsearch.
* Deploy Insight.

## Requirements
- A running Kubernetes cluster
- Dynamic storage provisioning enabled
- Default StorageClass set to allow services using the default StorageClass for persistent storage
- A running Artifactory Enterprise
- [Kubectl](https://kubernetes.io/docs/tasks/tools/install-kubectl/) installed and setup to use the cluster
- [Helm](https://helm.sh/) v3 installed

### Install Chart

### Add JFrog Helm repository

Before installing JFrog helm charts, you need to add the [JFrog helm repository](https://charts.jfrog.io) to your helm client.

```bash
helm repo add jfrog https://charts.jfrog.io
helm repo update
```

**NOTE:** Check [CHANGELOG.md] for version specific install notes.

#### Artifactory Connection Details
In order to connect Insight to your Artifactory installation, you have to use a Join Key, hence it is *MANDATORY* to provide a Join Key and Jfrog Url to your Insight installation. Here's how you do that:

Retrieve the connection details of your Artifactory installation, from the UI - https://www.jfrog.com/confluence/display/JFROG/General+Security+Settings#GeneralSecuritySettings-ViewingtheJoinKey. 

#### Initiate Installation
Provide join key and jfrog url as a parameter to the Insight chart installation:

```bash
helm upgrade --install insight --set insightServer.joinKey=<YOUR_PREVIOUSLY_RETIREVED_JOIN_KEY> \
             --set insightServer.jfrogUrl=<YOUR_PREVIOUSLY_RETIREVED_BASE_URL> jfrog/insight --namespace insight --create-namespace
```

## Uninstalling Insight

**IMPORTANT:** Uninstalling Insight using the commands below will also delete your data volumes and you will lose all of your data. You must back up all this information before deletion.

To uninstall Insight use the following command.

```bash
helm uninstall insight --namespace insight && sleep 90 && kubectl delete pvc -l app=insight
```
